#!/bin/sh

# vim: syntax=sh
set -euo pipefail

mkdir -p /data/unifi
mkdir -p /data/logs

if [ \! -f "/opt/unifi/data/system.properties" ]; then
  echo "System initialization, copy the default system.properties"
  cp /secrets/system.properties /opt/unifi/data/system.properties
else
  for PROP in $(grep -vE '^(\s*$|#)' /secrets/system.properties); do
    KEY=$(echo ${PROP} | cut -d= -f1)
    VALUE=$(echo ${PROP} | cut -d= -f2)
    if grep -q -E "^${KEY}=" /opt/unifi/data/system.properties; then
      if grep -q -E "^${PROP}" /opt/unifi/data/system.properties; then
        echo "${PROP} already set in system.properties"
      else
        echo "Updating ${PROP} in system.properties"
        sed -i -E "s|^${KEY}=.*|${PROP}|" /opt/unifi/data/system.properties
      fi
    else
      echo "Adding ${PROP} in system.properties"
      echo ${PROP} >> /opt/unifi/data/system.properties
    fi
  done
fi
